GtkDatabox: gtk/gtkdatabox_lines.h File Reference

GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Defines | Typedefs | Functions
gtk/gtkdatabox_lines.h File Reference
`#include <gtkdatabox_xyc_graph.h>`
Include dependency graph for gtkdatabox_lines.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | _GtkDataboxLines
struct | _GtkDataboxLinesClass
## Defines
#define | GTK_DATABOX_TYPE_LINES (gtk_databox_lines_get_type ())
#define | GTK_DATABOX_LINES(obj)
#define | GTK_DATABOX_LINES_CLASS(klass)
#define | GTK_DATABOX_IS_LINES(obj)
#define | GTK_DATABOX_IS_LINES_CLASS(klass)
#define | GTK_DATABOX_LINES_GET_CLASS(obj)
## Typedefs
typedef struct _GtkDataboxLines | GtkDataboxLines
typedef struct _GtkDataboxLinesClass | GtkDataboxLinesClass
typedef struct _GtkDataboxLinesPrivate | GtkDataboxLinesPrivate
## Functions
GType | gtk_databox_lines_get_type (void)
GtkDataboxGraph * | gtk_databox_lines_new (guint len, gfloat *X, gfloat *Y, GdkColor *color, guint size)

## Define Documentation

#define GTK_DATABOX_IS_LINES | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_TYPE ((obj), \
                                               GTK_DATABOX_TYPE_LINES))

#define GTK_DATABOX_IS_LINES_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_TYPE ((klass), \
                                               GTK_DATABOX_TYPE_LINES))

#define GTK_DATABOX_LINES | ( |  | obj | ) |

Value:

    (G_TYPE_CHECK_INSTANCE_CAST ((obj), \
                                               GTK_DATABOX_TYPE_LINES, \
                                               GtkDataboxLines))

#define GTK_DATABOX_LINES_CLASS | ( |  | klass | ) |

Value:

    (G_TYPE_CHECK_CLASS_CAST ((klass), \
                                               GTK_DATABOX_TYPE_LINES, \
                                               GtkDataboxLinesClass))

#define GTK_DATABOX_LINES_GET_CLASS | ( |  | obj | ) |

Value:

    (G_TYPE_INSTANCE_GET_CLASS ((obj), \
                                               GTK_DATABOX_TYPE_LINES, \
                                               GtkDataboxLinesClass))

#define GTK_DATABOX_TYPE_LINES (gtk_databox_lines_get_type ())

SECTION:gtkdatabox_lines : A GtkDataboxGraph used for displaying xy-values series of connected lines. gtkdatabox_lines.h : GtkDatabox, GtkDataboxGraph, GtkDataboxPoints, GtkDataboxBars, GtkDataboxMarkers

GtkDataboxLines is a GtkDataboxGraph class for displaying xy-values as series of connected lines.

## Typedef Documentation

typedef struct _GtkDataboxLines GtkDataboxLines

GtkDataboxLines

GtkDataboxLines is a GtkDataboxGraph class for displaying xy-values as series of connected lines.

typedef struct _GtkDataboxLinesClass GtkDataboxLinesClass

typedef struct _GtkDataboxLinesPrivate GtkDataboxLinesPrivate

GtkDataboxLinesPrivate : GtkDatabox, GtkDataboxGraph, GtkDataboxPoints, GtkDataboxBars, GtkDataboxMarkers

A private data structure used by the GtkDataboxLines. It shields all internal things from developers who are just using the object.

## Function Documentation

GType gtk_databox_lines_get_type | ( | void |  | ) |

GtkDataboxGraph* gtk_databox_lines_new | ( | guint | len,
|  | gfloat * | X,
|  | gfloat * | Y,
|  | GdkColor * | color,
|  | guint | size
| ) |  |

gtk_databox_lines_new: : length of and : array of horizontal position values of markers : array of vertical position values of markers : color of the markers : marker size or line width (depending on the )

Creates a new GtkDataboxLines object which can be added to a GtkDatabox widget.

Return value: A new GtkDataboxLines object

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines